Skip to main content
GET
/
v1
/
community
/
quest-completions
cURL
curl --request GET \
  --url https://api.flipsuite.xyz/v1/community/quest-completions \
  --header 'x-api-key: <x-api-key>'
{
  "data": [
    {
      "questId": "019c4f09-ae2f-73c7-aa2d-ed7421cdd850",
      "iteration": 1,
      "userId": "328218133074804739",
      "timestamp": 1770899580000,
      "source": {
        "platform": "DISCORD",
        "guildId": "1102183639791452242",
        "channelId": "1471246773266681982"
      },
      "taskIds": [
        "69183000-fb2a-44e1-b83e-245fa652dc6c"
      ],
      "verificationData": [
        {
          "type": "DISCORD_ACCOUNT_AGE",
          "taskId": "69183000-fb2a-44e1-b83e-245fa652dc6c",
          "accountAgeDays": 1645,
          "accountUsername": "boaven"
        }
      ],
      "rewardMultiplier": 1
    }
  ],
  "pagination": {
    "offset": 123,
    "limit": 123,
    "total": 123,
    "count": 123
  }
}

Headers

x-api-key
string
required

Your community API key

Query Parameters

questId
string | null

ID of the quest to filter completions by

iteration
integer | null

Quest round number to filter the completions by

Required range: 1 <= x <= 9007199254740991
userId
string | null

ID of the user to filter the completions by

startTime
number | null

Get completions that happened after this unix timestamp (in milliseconds)

endTime
number | null

Get completions that happened until this unix timestamp (in milliseconds)

offset
number
default:0
Required range: x >= 0
limit
number
default:20
Required range: 0 <= x <= 50

Response

200 - application/json

Quest completions have been retrieved

data
object[]
required

Quest completions matching the query

pagination
object
required

Pagination metadata